Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
05333 Graphics Minor Always Oct 20, 2013, 12:27 Apr 24, 2015, 09:53
Tester moa View Status Public Platform MAME (Official Binary)
Assigned To Haze Resolution Fixed OS Windows Vista/7/8 (64-bit)
Status [?] Resolved Driver
Version 0.150 Fixed in Version 0.160 Build 64-bit
Summary 05333: midres & clones: strange sprite behaviour
Description There's a strange sprite bug when you shoot the door. You can see the leg of player instead of the explosion
it's fast but noticeable
see snap and save state
Steps To Reproduce play till the door. shoot the door
Additional Information
Flags
Regression Version
Affected Sets / Systems midres & clones
Attached Files
png file icon 0000.png (9,870 bytes) Oct 20, 2013, 12:27 Uploaded by moa
moa
zip file icon 1.zip (250,433 bytes) Oct 20, 2013, 12:29 Uploaded by moa
Relationships
There are no relationsihp linked to this issue.
Notes
5
User avatar
No.09891
haynor666
Tester
Oct 20, 2013, 17:51
Data East chipsets rewrite problems ?
User avatar
No.09920
Haze
Senior Tester
Oct 27, 2013, 13:29
could be timing / buffering rather than the sprite emulation.. but yeah, could also be a sprite chip emulation bug, there were multiple implementations of the same chips before.
User avatar
No.11622
Haze
Senior Tester
Apr 22, 2015, 00:08
this is fixed now I think (I made some adjustments to the sprite chip emulation when 'The Deep' was hooked up)
User avatar
No.11626
moa
Tester
Apr 24, 2015, 08:18
Just tested it and it's fixed
However http://mametesters.org/view.php?id=5334 is still valid :(
Thank you Haze for accidentally fix this ;)
User avatar
No.11627
Haze
Senior Tester
Apr 24, 2015, 09:53
well I'd still like to know if the other is a regression, or has always been like that